% File: E4_019.m
% Calculate and plot s(t)=Ac[1+m(t)]cos(wct)
% Assume that m(t) is a sinusoidal modulation waveform

clear;

fc = 10;
fa = 1;
Ta = 1/fa;
dt = 2*Ta/200;
wc = 2*pi*fc;
wa = 2*pi*fa;

t = 0:dt:2*Ta;

m = cos(wa*t);
m = m(:);
j = sqrt(-1);
g = 1 + m;
phase = exp(j*wc*t);
g = g(:);
phase = phase(:);
s = real(g.*phase);

subplot(211);
plot(t,m);
xlabel('t');
ylabel('m(t)');

subplot(212);
plot(t,s);
xlabel('t');
ylabel('s(t)');
subplot(111);




