% File: P2_18B.M

clear;

M = 8;
N = 2^M;
T = 40;
dt = T/N;
n = 0:1:N-1;
tk = n*dt -10;

% Generating waveform
v = 2 * ones(length(tk),1);

% Calculating the MAGNITUDE SPECTRUM using the FFT.
V = dt*fft(v);
fn = n/T;
fs = 1/dt;
pos = INDEX(fn,1);


PLOT_PR(2);
plot(fn(1:pos),abs(V(1:pos)));
xlabel('fn');
ylabel('|Vn|');
title('Press any key to view important note');
pause;
fprintf('NOTE: The FFT cannot give the correct amplitude value for a delta function\n');
fprintf('since the delta function has an infinite amplitude.  However the area under the\n');
fprintf('FFT result that approximates the delta function will be approximately the\n');
fprintf('correct weight for the delta function.\n');
fprintf('\n\nThe value for the weight of the delta function may be computed directly via\n');
fprintf('the FFT by using (2-187).  To view this result press any key.\n');


% Calculating the coefficients of the Fourier Series
V = 1/N*fft(v);

plot(fn(1:pos),abs(V(1:pos)),'o');
for (i = 1:1:pos)
  line([fn(i) fn(i)], [0 abs(V(i))]);
end;
title('Fourier Series Coefficients');
xlabel('fn');
ylabel('|Vn|');




