% File: P5_52.M

clear;

T = 1;

% Creating Data Stream
a = [-1 -1 -1 1 1 1 -1 -1 -1 1 -1 -1 1 -1 -1]';
tt = 0:0.02:15;

% Creating m(tt)
fprintf('Computing results.\n');
m = MTT(tt,a,T,0);

% Creating x(tt)
fprintf('Computing results.\n');
x = XTT(tt,a,T,0);

% Creating y(tt)
fprintf('Computing results.\n');
y = YTT(tt,a,T,0);

% Creating xx(tt), yy(tt) and s(tt)
fprintf('Computing results.\n');
delay = 0;
xx = zeros(length(tt),1);
for (i = 1:2:length(a))
  temp = a(i)*(U_STEP(tt,(i-1)*T+delay) - U_STEP(tt,(i-1)*T + 2+delay)); 
  xx = xx + temp.*cos(pi*(tt-(i-1)*T-1)/2)';
end;

fprintf('Computing results.\n');
yy = zeros(length(tt),1);
for (i = 2:2:length(a)-1)
  temp = a(i)*(U_STEP(tt,(i-1)*T+delay) - U_STEP(tt,(i-1)*T + 2+delay)); 
  yy = yy + temp.*sin(pi*(tt-(i-1)*T)/2)';
end;

fprintf('Computing results.\n');
s = xx.*cos(2*pi*2*tt)' - yy.*sin(2*pi*2*tt)';

PLOT_PR(4)
axis([tt(1) tt(length(tt)) -2 2]);
plot(tt,m);
xlabel('tt');
title('Data Stream Waveform');
pause;

subplot(211);
plot(tt,x);
xlabel('tt');
title('Data waveform in I-channel');
subplot(212);
plot(tt,y);
xlabel('tt');
title('Data waveform in Q-channel');
pause;
clf;

subplot(211);
plot(tt,xx);
xlabel('tt');
title('MSK Type II: I-channel waveform');
subplot(212);
plot(tt,yy);
xlabel('tt');
title('MSK Type II: Q-channel waveform');
pause;
subplot(111);

plot(tt,s);
xlabel('tt');
title('MSK Type II: signal waveform');
axis;


