% File: P6_10.M

clear;


f = -1:0.01:1;

% The computer cannot plot infinite values for delta functions, 
% so plot the weights of the delta functions instead. The PSD
% will broken into two functions, one for the continuous spectral
% plot and one for the discrete spectral plot.


% Continuous part
PSDc = zeros(length(f),1);
for (i = 1:1:length(PSDc))
   PSDc(i) = 4*sqrt(pi)*exp(-(pi*f(i))^2); 
end;

% Discrete part;
PSDd = zeros(length(f),1);
for (i = 1:1:length(PSDd))
  if (f(i) == 0)
    PSDd(i) = 3;
  end;
end;

PSD = PSDc + PSDd;


PLOT_PR(1);
plot(f,PSD);
xlabel('f');
title('PSD');
 

Brms = (sqrt(2/7))/pi;
fprintf('\nThe rms bandwidth is %g',Brms);
fprintf (' Hz\n\n'); 
